summaryrefslogtreecommitdiffstats
path: root/source/n/ntp/ntp.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/ntp/ntp.SlackBuild
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/ntp/ntp.SlackBuild')
-rwxr-xr-xsource/n/ntp/ntp.SlackBuild42
1 files changed, 32 insertions, 10 deletions
diff --git a/source/n/ntp/ntp.SlackBuild b/source/n/ntp/ntp.SlackBuild
index 21ca6248a..54798e5cb 100755
--- a/source/n/ntp/ntp.SlackBuild
+++ b/source/n/ntp/ntp.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=ntp
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -46,7 +56,6 @@ else
SLKCFLAGS="-O2"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-ntp
@@ -80,12 +89,13 @@ CFLAGS="$SLKCFLAGS" \
--htmldir=/usr/doc/ntp-$VERSION \
--enable-ipv6 \
--with-crypto \
+ --enable-ntp-signd \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make -i install DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit 1
# Since the Makefile's install pays no heed to the --bindir settings,
# we'll move things to where they've always been ourselves:
@@ -98,11 +108,23 @@ rmdir $PKG/usr/lib/pkgconfig
# This should be empty. Try to remove it, and error out if it's not actually empty:
rmdir $PKG/usr/libexec || exit 1
-mkdir -p $PKG/etc/ntp
+# Install default conf and keys files:
+mkdir -p $PKG/etc
cat $CWD/ntp.conf > $PKG/etc/ntp.conf.new
-cat $CWD/ntp.keys > $PKG/etc/ntp/ntp.keys.new
-chmod 600 $PKG/etc/ntp/ntp.keys.new
-touch $PKG/etc/ntp/step-tickers
+cat $CWD/ntp.keys > $PKG/etc/ntp.keys.new
+chown root:ntp $PKG/etc/ntp.keys.new
+chmod 640 $PKG/etc/ntp.keys.new
+
+# Location for the drift and stats files:
+mkdir -p $PKG/var/lib/ntp
+chown ntp:ntp $PKG/var/lib/ntp
+chmod 0775 $PKG/var/lib/ntp
+
+# This is deprecated and no longer used by anything:
+#touch $PKG/etc/ntp/step-tickers
+
+mkdir -p $PKG/etc/logrotate.d
+cat $CWD/ntp.logrotate > $PKG/etc/logrotate.d/ntp.new
mkdir -p $PKG/etc/rc.d
cat $CWD/rc.ntpd > $PKG/etc/rc.d/rc.ntpd.new